# this file is part of refractiveindex.info database
# refractiveindex.info database is in the public domain
# copyright and related rights waived via CC0 1.0

REFERENCES: |
    M. R. Querry. Optical constants, <a href="https://apps.dtic.mil/sti/citations/ADA158623"><i>Contractor Report</i> CRDC-CR-85034 (1985)</a>
COMMENTS: |
    α-Al<sub>2</sub>O<sub>3</sub> (Sapphire). Extraordinary ray (e).
DATA:
  - type: tabulated nk
    data: |
        0.2100 1.804 -0.048
        0.2200 1.790 -0.035
        0.2300 1.780 -0.024
        0.2400 1.768 -0.017
        0.2500 1.763 -0.014
        0.2600 1.755 -0.008
        0.2700 1.751 -0.003
        0.2800 1.748 0.000
        0.2900 1.743 0.002
        0.3000 1.738 0.008
        0.3100 1.738 0.010
        0.3200 1.738 0.012
        0.3300 1.737 0.013
        0.3400 1.736 0.014
        0.3500 1.734 0.015
        0.3600 1.733 0.017
        0.3700 1.733 0.018
        0.3800 1.733 0.018
        0.3900 1.733 0.018
        0.4000 1.732 0.018
        0.4100 1.731 0.019
        0.4200 1.730 0.019
        0.4300 1.730 0.020
        0.4400 1.730 0.020
        0.4500 1.730 0.020
        0.4600 1.730 0.020
        0.4700 1.730 0.020
        0.4800 1.729 0.020
        0.4900 1.729 0.021
        0.5000 1.729 0.020
        0.5100 1.729 0.021
        0.5200 1.729 0.020
        0.5300 1.729 0.020
        0.5400 1.729 0.020
        0.5500 1.729 0.020
        0.5600 1.728 0.020
        0.5700 1.728 0.020
        0.5800 1.728 0.020
        0.5900 1.728 0.020
        0.6000 1.728 0.020
        0.6100 1.728 0.020
        0.6200 1.728 0.020
        0.6300 1.728 0.020
        0.6400 1.727 0.019
        0.6500 1.727 0.020
        0.6600 1.727 0.020
        0.6700 1.727 0.020
        0.6800 1.727 0.020
        0.6900 1.727 0.020
        0.7000 1.727 0.020
        0.7100 1.727 0.020
        0.7200 1.727 0.019
        0.7300 1.727 0.020
        0.7400 1.727 0.020
        0.7500 1.727 0.020
        0.7600 1.727 0.020
        0.7700 1.727 0.020
        0.7800 1.727 0.019
        0.7900 1.727 0.019
        0.8000 1.727 0.019
        0.8100 1.726 0.019
        0.8200 1.726 0.019
        0.8300 1.726 0.020
        0.8400 1.726 0.019
        0.8500 1.726 0.019
        0.8600 1.726 0.019
        0.8700 1.726 0.019
        0.8800 1.726 0.019
        0.8900 1.726 0.019
        0.9000 1.726 0.019
        0.9100 1.726 0.019
        0.9200 1.726 0.019
        0.9300 1.726 0.019
        0.9400 1.726 0.019
        0.9500 1.726 0.019
        0.9600 1.726 0.019
        0.9700 1.726 0.019
        0.9800 1.726 0.019
        0.9900 1.726 0.019
        1.0000 1.726 0.019
        1.0100 1.726 0.019
        1.0200 1.726 0.019
        1.0300 1.726 0.019
        1.0400 1.726 0.019
        1.0500 1.726 0.019
        1.0600 1.726 0.019
        1.0700 1.726 0.018
        1.0800 1.726 0.019
        1.0900 1.726 0.019
        1.1000 1.726 0.019
        1.1100 1.726 0.019
        1.1200 1.726 0.019
        1.1300 1.726 0.019
        1.1400 1.726 0.019
        1.1500 1.726 0.018
        1.1600 1.725 0.018
        1.1700 1.725 0.019
        1.1800 1.725 0.019
        1.1900 1.725 0.019
        1.2000 1.725 0.020
        1.2100 1.726 0.019
        1.2200 1.726 0.019
        1.2300 1.726 0.019
        1.2400 1.726 0.019
        1.2500 1.726 0.019
        1.2600 1.726 0.018
        1.2700 1.726 0.018
        1.2800 1.726 0.018
        1.2900 1.725 0.018
        1.3000 1.725 0.018
        1.3100 1.725 0.017
        1.3200 1.725 0.017
        1.3300 1.724 0.018
        1.3400 1.724 0.018
        1.3500 1.724 0.018
        1.3600 1.724 0.018
        1.3700 1.724 0.018
        1.3800 1.724 0.018
        1.3900 1.724 0.018
        1.4000 1.724 0.018
        1.4100 1.725 0.018
        1.4200 1.725 0.018
        1.4300 1.724 0.018
        1.4400 1.724 0.018
        1.4500 1.725 0.017
        1.4600 1.725 0.017
        1.4700 1.724 0.017
        1.4800 1.724 0.017
        1.4900 1.724 0.017
        1.5000 1.724 0.016
        1.5100 1.724 0.016
        1.5200 1.723 0.016
        1.5300 1.725 0.017
        1.5400 1.723 0.016
        1.5500 1.723 0.016
        1.5600 1.723 0.016
        1.5700 1.723 0.015
        1.5800 1.722 0.016
        1.5900 1.722 0.016
        1.6000 1.722 0.016
        1.6100 1.722 0.016
        1.6200 1.721 0.016
        1.6300 1.721 0.015
        1.6400 1.721 0.016
        1.6500 1.721 0.016
        1.6600 1.721 0.016
        1.6700 1.721 0.016
        1.6800 1.721 0.016
        1.6900 1.721 0.017
        1.7000 1.721 0.017
        1.7100 1.721 0.017
        1.7200 1.721 0.016
        1.7300 1.720 0.016
        1.7400 1.720 0.017
        1.7500 1.720 0.016
        1.7600 1.720 0.016
        1.7700 1.720 0.017
        1.7800 1.720 0.015
        1.7900 1.720 0.015
        1.8000 1.719 0.015
        1.8100 1.719 0.015
        1.8200 1.718 0.015
        1.8300 1.718 0.015
        1.8400 1.718 0.015
        1.8500 1.717 0.015
        1.8600 1.716 0.016
        1.8700 1.716 0.016
        1.8800 1.717 0.018
        1.8900 1.717 0.018
        1.9000 1.718 0.017
        1.9100 1.718 0.016
        1.9200 1.718 0.017
        1.9300 1.717 0.017
        1.9400 1.718 0.016
        1.9500 1.718 0.016
        1.9600 1.718 0.015
        1.9700 1.717 0.015
        1.9800 1.717 0.015
        1.9900 1.716 0.015
        2.0000 1.716 0.015
        2.0100 1.715 0.015
        2.0200 1.715 0.015
        2.0300 1.715 0.015
        2.0400 1.714 0.015
        2.0500 1.714 0.015
        2.0600 1.714 0.015
        2.0700 1.714 0.015
        2.0800 1.714 0.015
        2.0900 1.714 0.015
        2.1000 1.714 0.016
        2.1100 1.713 0.016
        2.1200 1.713 0.015
        2.1300 1.713 0.015
        2.1400 1.712 0.015
        2.1500 1.712 0.016
        2.1600 1.712 0.016
        2.1700 1.712 0.016
        2.1800 1.712 0.016
        2.1900 1.712 0.016
        2.2000 1.711 0.016
        2.2100 1.711 0.016
        2.2200 1.711 0.017
        2.2300 1.711 0.017
        2.2400 1.711 0.017
        2.2500 1.711 0.017
        2.2600 1.711 0.016
        2.2700 1.711 0.017
        2.2800 1.711 0.016
        2.2900 1.711 0.016
        2.3000 1.711 0.016
        2.3100 1.710 0.016
        2.3200 1.710 0.016
        2.3300 1.710 0.016
        2.3400 1.710 0.016
        2.3500 1.710 0.016
        2.3600 1.710 0.016
        2.3700 1.709 0.016
        2.3800 1.709 0.016
        2.3900 1.709 0.017
        2.4000 1.709 0.015
        2.4100 1.709 0.016
        2.4200 1.709 0.015
        2.4300 1.709 0.015
        2.4400 1.709 0.016
        2.4500 1.709 0.015
        2.4600 1.709 0.014
        2.4700 1.708 0.014
        2.4800 1.708 0.013
        2.4900 1.707 0.013
        2.5000 1.706 0.014
        2.5063 1.707 0.013
        2.5126 1.706 0.012
        2.5189 1.706 0.012
        2.5253 1.705 0.012
        2.5316 1.705 0.013
        2.5381 1.704 0.013
        2.5445 1.704 0.012
        2.5510 1.704 0.012
        2.5575 1.703 0.012
        2.5641 1.703 0.013
        2.5707 1.703 0.013
        2.5773 1.702 0.012
        2.5840 1.702 0.012
        2.5907 1.701 0.012
        2.5974 1.701 0.012
        2.6042 1.700 0.013
        2.6110 1.700 0.013
        2.6178 1.699 0.013
        2.6247 1.699 0.013
        2.6316 1.699 0.014
        2.6385 1.698 0.015
        2.6455 1.698 0.015
        2.6525 1.698 0.015
        2.6596 1.698 0.014
        2.6667 1.698 0.015
        2.6738 1.698 0.016
        2.6810 1.698 0.016
        2.6882 1.698 0.016
        2.6954 1.698 0.015
        2.7027 1.698 0.015
        2.7100 1.697 0.016
        2.7174 1.697 0.016
        2.7248 1.696 0.016
        2.7322 1.696 0.016
        2.7397 1.697 0.017
        2.7473 1.697 0.017
        2.7548 1.697 0.018
        2.7624 1.697 0.017
        2.7701 1.697 0.016
        2.7778 1.697 0.015
        2.7855 1.697 0.016
        2.7933 1.696 0.016
        2.8011 1.696 0.016
        2.8090 1.695 0.016
        2.8169 1.695 0.016
        2.8249 1.695 0.016
        2.8329 1.695 0.017
        2.8409 1.695 0.017
        2.8490 1.695 0.016
        2.8571 1.694 0.016
        2.8653 1.694 0.016
        2.8736 1.694 0.016
        2.8818 1.694 0.017
        2.8902 1.693 0.017
        2.8986 1.693 0.016
        2.9070 1.693 0.016
        2.9155 1.692 0.016
        2.9240 1.692 0.017
        2.9326 1.692 0.017
        2.9412 1.691 0.017
        2.9499 1.691 0.016
        2.9586 1.691 0.017
        2.9674 1.690 0.017
        2.9762 1.690 0.018
        2.9851 1.690 0.018
        2.9940 1.690 0.018
        3.0030 1.690 0.018
        3.0120 1.690 0.018
        3.0211 1.690 0.019
        3.0303 1.689 0.018
        3.0395 1.689 0.018
        3.0488 1.689 0.017
        3.0581 1.688 0.018
        3.0675 1.688 0.019
        3.0769 1.688 0.019
        3.0864 1.688 0.018
        3.0960 1.687 0.017
        3.1056 1.687 0.018
        3.1153 1.686 0.019
        3.1250 1.686 0.020
        3.1348 1.686 0.019
        3.1447 1.687 0.019
        3.1546 1.686 0.018
        3.1646 1.686 0.019
        3.1746 1.685 0.019
        3.1847 1.685 0.019
        3.1949 1.685 0.019
        3.2051 1.684 0.019
        3.2154 1.684 0.019
        3.2258 1.684 0.020
        3.2362 1.684 0.020
        3.2468 1.684 0.019
        3.2573 1.683 0.019
        3.2680 1.683 0.019
        3.2787 1.683 0.020
        3.2895 1.683 0.021
        3.3003 1.683 0.020
        3.3113 1.683 0.019
        3.3223 1.683 0.019
        3.3333 1.682 0.019
        3.3445 1.682 0.020
        3.3557 1.682 0.019
        3.3670 1.681 0.019
        3.3784 1.681 0.018
        3.3898 1.681 0.018
        3.4014 1.680 0.019
        3.4130 1.680 0.019
        3.4247 1.679 0.018
        3.4364 1.678 0.018
        3.4483 1.678 0.018
        3.4602 1.678 0.019
        3.4722 1.678 0.019
        3.4843 1.677 0.018
        3.4965 1.677 0.017
        3.5088 1.676 0.017
        3.5211 1.676 0.017
        3.5336 1.675 0.018
        3.5461 1.675 0.018
        3.5587 1.674 0.017
        3.5714 1.674 0.017
        3.5842 1.673 0.017
        3.5971 1.673 0.018
        3.6101 1.672 0.018
        3.6232 1.671 0.017
        3.6364 1.670 0.017
        3.6496 1.670 0.017
        3.6630 1.669 0.017
        3.6765 1.669 0.018
        3.6900 1.668 0.018
        3.7037 1.667 0.017
        3.7175 1.667 0.017
        3.7313 1.666 0.018
        3.7453 1.665 0.019
        3.7594 1.665 0.019
        3.7736 1.665 0.018
        3.7879 1.664 0.017
        3.8023 1.663 0.018
        3.8166 1.662 0.019
        3.8314 1.661 0.019
        3.8462 1.661 0.019
        3.8610 1.661 0.019
        3.8760 1.660 0.019
        3.8911 1.660 0.020
        3.9063 1.659 0.020
        3.9216 1.659 0.019
        3.9370 1.658 0.018
        3.9526 1.657 0.018
        3.9683 1.656 0.019
        3.9841 1.655 0.020
        4.0000 1.654 0.020
        4.0161 1.653 0.019
        4.0323 1.653 0.019
        4.0486 1.652 0.020
        4.0650 1.651 0.021
        4.0816 1.651 0.022
        4.0984 1.651 0.021
        4.1152 1.650 0.020
        4.1322 1.649 0.021
        4.1494 1.648 0.021
        4.1667 1.647 0.023
        4.1841 1.647 0.022
        4.2017 1.646 0.022
        4.2194 1.646 0.022
        4.2373 1.646 0.022
        4.2553 1.645 0.023
        4.2735 1.644 0.023
        4.2918 1.643 0.022
        4.3103 1.643 0.021
        4.3290 1.642 0.021
        4.3478 1.641 0.022
        4.3668 1.640 0.022
        4.3860 1.638 0.021
        4.4053 1.637 0.021
        4.4248 1.636 0.021
        4.4444 1.635 0.022
        4.4643 1.634 0.023
        4.4843 1.633 0.023
        4.5045 1.632 0.022
        4.5249 1.631 0.021
        4.5455 1.630 0.023
        4.5662 1.629 0.024
        4.5872 1.628 0.024
        4.6083 1.627 0.023
        4.6296 1.626 0.022
        4.6512 1.625 0.024
        4.6729 1.624 0.025
        4.6948 1.623 0.025
        4.7170 1.622 0.025
        4.7393 1.621 0.024
        4.7619 1.620 0.024
        4.7847 1.619 0.025
        4.8077 1.618 0.026
        4.8309 1.616 0.025
        4.8544 1.615 0.025
        4.8780 1.614 0.025
        4.9020 1.613 0.026
        4.9261 1.611 0.027
        4.9505 1.610 0.027
        4.9751 1.609 0.027
        5.0000 1.608 0.026
        5.0251 1.607 0.027
        5.0505 1.606 0.028
        5.0761 1.604 0.028
        5.1020 1.603 0.027
        5.1232 1.602 0.027
        5.1546 1.601 0.027
        5.1817 1.599 0.028
        5.2083 1.598 0.029
        5.2356 1.597 0.028
        5.2632 1.596 0.027
        5.2910 1.594 0.026
        5.3191 1.593 0.027
        5.3476 1.591 0.027
        5.3763 1.589 0.027
        5.4054 1.587 0.026
        5.4349 1.585 0.025
        5.4645 1.583 0.026
        5.4945 1.581 0.027
        5.5249 1.579 0.027
        5.5556 1.577 0.026
        5.5866 1.575 0.025
        5.6180 1.573 0.026
        5.6497 1.570 0.027
        5.6818 1.568 0.028
        5.7143 1.566 0.027
        5.7471 1.563 0.026
        5.7803 1.561 0.026
        5.8140 1.558 0.027
        5.8480 1.556 0.028
        5.8824 1.554 0.028
        5.9172 1.551 0.028
        5.9524 1.549 0.027
        5.9880 1.546 0.028
        6.0241 1.543 0.029
        6.0606 1.540 0.029
        6.0976 1.538 0.029
        6.1350 1.535 0.028
        6.1728 1.532 0.029
        6.2112 1.529 0.030
        6.2500 1.526 0.031
        6.2893 1.523 0.030
        6.3291 1.520 0.029
        6.3694 1.517 0.029
        6.4103 1.513 0.030
        6.4516 1.510 0.031
        6.4935 1.507 0.031
        6.5359 1.503 0.030
        6.5789 1.500 0.029
        6.6225 1.496 0.030
        6.6667 1.492 0.031
        6.7114 1.487 0.032
        6.7568 1.483 0.031
        6.8027 1.479 0.032
        6.8493 1.474 0.031
        6.8966 1.470 0.033
        6.9414 1.465 0.034
        6.9710 1.461 0.033
        7.0423 1.456 0.032
        7.0722 1.451 0.032
        7.1429 1.446 0.033
        7.1942 1.441 0.034
        7.2464 1.435 0.034
        7.2993 1.430 0.034
        7.3529 1.424 0.033
        7.4074 1.418 0.034
        7.4627 1.412 0.035
        7.5188 1.405 0.036
        7.5758 1.399 0.035
        7.6336 1.392 0.035
        7.6923 1.385 0.035
        7.7519 1.378 0.036
        7.8125 1.370 0.035
        7.8740 1.360 0.034
        7.9365 1.351 0.035
        8.0000 1.342 0.037
        8.0645 1.334 0.038
        8.1301 1.323 0.038
        8.1967 1.312 0.042
        8.2645 1.305 0.044
        8.3333 1.297 0.043
        8.4034 1.287 0.040
        8.4746 1.269 0.042
        8.5470 1.256 0.049
        8.6207 1.249 0.053
        8.6957 1.243 0.052
        8.7719 1.229 0.049
        8.8496 1.213 0.050
        8.9286 1.197 0.052
        9.0090 1.185 0.053
        9.0909 1.168 0.057
        9.1743 1.151 0.058
        9.2593 1.135 0.055
        9.3458 1.113 0.061
        9.4340 1.093 0.064
        9.5238 1.075 0.072
        9.6154 1.064 0.076
        9.7087 1.039 0.070
        9.8039 1.014 0.076
        9.9010 0.988 0.074
        10.0000 0.963 0.082
        10.1010 0.938 0.080
        10.2041 0.905 0.082
        10.3093 0.870 0.083
        10.4167 0.828 0.086
        10.5263 0.786 0.092
        10.6383 0.740 0.100
        10.7527 0.692 0.108
        10.8696 0.631 0.109
        10.9890 0.554 0.123
        11.1111 0.475 0.145
        11.2360 0.370 0.185
        11.3636 0.261 0.264
        11.4943 0.174 0.377
        11.6279 0.124 0.501
        11.7647 0.103 0.619
        11.9048 0.095 0.731
        12.0482 0.096 0.837
        12.1951 0.104 0.928
        12.3457 0.112 1.005
        12.5000 0.115 1.076
        12.6582 0.114 1.160
        12.8205 0.116 1.252
        12.9870 0.123 1.338
        13.1579 0.125 1.411
        13.3333 0.123 1.486
        13.5135 0.122 1.582
        13.6986 0.129 1.692
        13.8889 0.136 1.809
        14.0845 0.141 1.902
        14.2857 0.144 2.000
        14.4928 0.150 2.121
        14.7059 0.168 2.290
        14.9254 0.204 2.482
        15.1515 0.249 2.641
        15.3846 0.284 2.776
        15.6250 0.301 2.928
        15.8730 0.341 3.262
        16.1290 0.451 3.751
        16.3934 0.732 4.334
        16.6667 1.088 4.895
        16.9492 2.037 5.762
        17.2414 5.146 5.648
        17.5439 6.173 1.715
        17.8571 4.361 0.222
        18.1818 3.346 0.293
        18.5185 2.606 0.379
        18.8679 1.982 0.406
        19.2308 1.298 0.308
        19.6078 0.306 0.634
        20.0000 0.126 1.525
        20.4082 0.135 2.215
        20.8333 0.147 2.810
        21.2766 0.137 3.165
        21.7391 0.161 3.573
        22.2222 0.222 4.127
        22.7273 0.353 5.011
        23.2558 0.644 6.176
        23.8095 1.109 7.392
        24.3902 2.014 9.319
        25.0000 6.251 11.810
        25.6410 13.617 5.703
        26.3158 10.005 0.246
        27.0270 7.689 -0.115
        27.7778 6.604 0.035
        28.5714 5.960 0.146
        29.4118 5.538 0.094
        30.3030 5.213 0.007
        31.2500 4.947 -0.055
        32.2581 4.717 0.003
        33.3333 4.536 0.058
        34.4828 4.389 0.088
        35.7143 4.297 0.077
        37.0370 4.226 0.048
        38.4615 4.136 0.039
        40.0000 4.055 0.053
        41.6667 3.984 0.065
        43.4783 3.921 0.042
        45.4545 3.865 0.022
        47.6190 3.814 0.016
        50.0000 3.768 0.028
        52.6316 3.727 0.037
        55.5556 3.689 0.030
